VERSION 5.00
Begin VB.Form Form1 
   Caption         =   "Form1"
   ClientHeight    =   3270
   ClientLeft      =   60
   ClientTop       =   345
   ClientWidth     =   2775
   LinkTopic       =   "Form1"
   ScaleHeight     =   3270
   ScaleWidth      =   2775
   StartUpPosition =   3  'Windows Default
   Begin VB.TextBox txtResults 
      BeginProperty Font 
         Name            =   "Courier New"
         Size            =   8.25
         Charset         =   0
         Weight          =   400
         Underline       =   0   'False
         Italic          =   0   'False
         Strikethrough   =   0   'False
      EndProperty
      Height          =   2535
      Left            =   120
      MultiLine       =   -1  'True
      TabIndex        =   1
      Top             =   600
      Width           =   2535
   End
   Begin VB.CommandButton cmdGo 
      Caption         =   "Go"
      Height          =   375
      Left            =   1080
      TabIndex        =   0
      Top             =   120
      Width           =   615
   End
   Begin VB.Timer tmrNextEvent 
      Left            =   2280
      Top             =   120
   End
End
Attribute VB_Name = "Form1"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
Option Explicit

Private m_NextEventNumber As Integer

' Start the event sequance.
Private Sub cmdGo_Click()
    cmdGo.Enabled = False
    Screen.MousePointer = vbHourglass

    ' Start with event 0.
    m_NextEventNumber = 0
    tmrNextEvent_Timer
End Sub

' Each time this fires, perform an action,
' set the next wait time,
' and increment m_NextEventNumber.
Private Sub tmrNextEvent_Timer()
Static last_time As Single

    Select Case m_NextEventNumber
        Case 0  ' Action 0 and wait 0.1 second.
            txtResults.Text = "Start" & vbCrLf
            tmrNextEvent.Interval = 100
            tmrNextEvent.Enabled = True
            last_time = Timer
        Case 1  ' Action 1 and wait 0.5 second.
            txtResults.Text = txtResults.Text & "Action 1:  100, " & _
                Format$(CInt(1000 * (Timer - last_time)), "@@@@") & vbCrLf
            tmrNextEvent.Interval = 500
            last_time = Timer
        Case 2  ' Action 2 and wait 2 seconds.
            txtResults.Text = txtResults.Text & "Action 2:  500, " & _
                Format$(CInt(1000 * (Timer - last_time)), "@@@@") & vbCrLf
            tmrNextEvent.Interval = 2000
            last_time = Timer
        Case 3  ' Action 3 and wait 1 second.
            txtResults.Text = txtResults.Text & "Action 3: 2000, " & _
                Format$(CInt(1000 * (Timer - last_time)), "@@@@") & vbCrLf
            tmrNextEvent.Interval = 1000
            last_time = Timer
        Case 4  ' Action 4 and wait 1.5 seconds.
            txtResults.Text = txtResults.Text & "Action 4: 1000, " & _
                Format$(CInt(1000 * (Timer - last_time)), "@@@@") & vbCrLf
            tmrNextEvent.Interval = 1500
            last_time = Timer
        Case 5  ' Action 5 and wait 0.5 second.
            txtResults.Text = txtResults.Text & "Action 5: 1500, " & _
                Format$(CInt(1000 * (Timer - last_time)), "@@@@") & vbCrLf
            tmrNextEvent.Interval = 500
            last_time = Timer
        Case 6  ' Action 6 and stop.
            txtResults.Text = txtResults.Text & "Action 6:  500, " & _
                Format$(CInt(1000 * (Timer - last_time)), "@@@@") & vbCrLf
            txtResults.Text = txtResults.Text & "Done"
            tmrNextEvent.Enabled = False

            ' Re-enable the button.
            cmdGo.Enabled = True
            Screen.MousePointer = vbDefault
    End Select

    m_NextEventNumber = m_NextEventNumber + 1
End Sub
